%define module	twitter

Name:		python-%{module}
Version:	3.5
Release:	%mkrel 10
Summary:	Python 2 bindings for Twitter
License:	ASL 2.0
Group:		Development/Python
Url:		https://github.com/bear/python-twitter
Source0:	https://pypi.io/packages/source/p/%{name}/%{name}-%{version}.tar.gz
BuildArch:	noarch

%description
This library provides a pure python2 interface for the Twitter API.

Twitter (https://twitter.com) provides a service that allows people to connect
via the web, IM, and SMS. Twitter exposes a web services API
(https://twitter.com/help/api) and this library is intended to make it even
easier for python programmers to use.

#------------------------------------------------

%package -n	python3-%{module}
Summary:	Python 3 bindings for Twitter
Group:		Development/Python
BuildRequires:  python3-devel

%description -n	python3-%{module}
This library provides a pure python3 interface for the Twitter API.

Twitter (https://twitter.com) provides a service that allows people to connect
via the web, IM, and SMS. Twitter exposes a web services API
(https://twitter.com/help/api) and this library is intended to make it even
easier for python programmers to use.

#------------------------------------------------

%prep
%setup -q

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files twitter

%files -n python3-%{module} -f %{pyproject_files}
%doc README.rst COPYING


%changelog
* Sun Mar 02 2025 wally <wally> 3.5-10.mga10
+ Revision: 2158893
- rebuild for python3.13

* Fri Feb 23 2024 papoteur <papoteur> 3.5-9.mga10
+ Revision: 2043547
- rebuild for python 3.12

* Sun Mar 27 2022 umeabot <umeabot> 3.5-8.mga9
+ Revision: 1828875
- Mageia 9 Mass Rebuild

* Sat Feb 19 2022 mrambo3501 <mrambo3501> 3.5-7.mga9
+ Revision: 1781470
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 3.5-6.mga9
+ Revision: 1733082
- Rebuild for python 3.9

* Thu Jul 23 2020 ovitters <ovitters> 3.5-5.mga8
+ Revision: 1608319
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 3.5-4.mga8
+ Revision: 1532718
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 tv <tv> 3.5-3.mga8
+ Revision: 1442901
- rebuild for python-3.8

* Mon Sep 02 2019 daviddavid <daviddavid> 3.5-2.mga8
+ Revision: 1436205
- drop py2 support

* Thu Jan 10 2019 shlomif <shlomif> 3.5-1.mga7
+ Revision: 1354508
- New version

* Fri Sep 21 2018 umeabot <umeabot> 3.3-2.mga7
+ Revision: 1290439
- Mageia 7 Mass Rebuild

* Thu Apr 19 2018 daviddavid <daviddavid> 3.3-1.mga7
+ Revision: 1220085
- new version: 3.3
- rename python-twitter to python2-twitter

* Wed Oct 04 2017 tv <tv> 3.2.1-3.mga7
+ Revision: 1168880
- add BR on python2dist(pytest-runner) thus fixing build

* Sat Aug 05 2017 pterjan <pterjan> 3.2.1-2.mga7
+ Revision: 1135672
- Rebuild for python 3.6

* Thu Feb 23 2017 daviddavid <daviddavid> 3.2.1-1.mga6
+ Revision: 1087522
- new version: 3.2.1
- add python3 package
- use new python macros
- update URL and Source URL

* Fri Feb 05 2016 umeabot <umeabot> 1.1-9.mga6
+ Revision: 938754
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1-8.mga5
+ Revision: 747508
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.1-7.mga5
+ Revision: 729951
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.1-6.mga5
+ Revision: 688398
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.1-4.mga4
+ Revision: 544375
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.1-3.mga4
+ Revision: 499663
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 14 2013 philippem <philippem> 1.1-2.mga4
+ Revision: 497463
- remove oauth2 dependency

* Thu Oct 10 2013 philippem <philippem> 1.1-1.mga4
+ Revision: 494911
- update to 1.1

* Sun Jan 13 2013 umeabot <umeabot> 0.8.2-2.mga3
+ Revision: 379646
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 25 2011 colin <colin> 0.8.2-1.mga2
+ Revision: 113640
- imported package python-twitter

